import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class Game {
  final String title;
  final String alternativeTitle;
  final String url;
  final String author;
  final String volumes;
  final String status;
  final String genres;
  final String score;
  final String releaseDates;
  final String description;

  Game(this.title, this.alternativeTitle, this.url, this.author, this.volumes, this.status, this.genres, this.score, this.releaseDates,  this.description );
}

class DetailGameScreen extends StatelessWidget {
  final Game game;

  // In the constructor, require a game.
  DetailGameScreen({Key key, @required this.game}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(game.title),
      ),
      body: Padding(
        padding: EdgeInsets.all(16.0),
        child: Text(game.description),
      ),
    );
  }
}